DCMTK - Feature #543

Check whether "oflog” supports character set conversion
Description

It seems that the underlying log4cplus supports multiple characters sets using _UNICODE and/or libiconv, but nobody ever seemed

to test that with demtk/oflog (confirmed by Uli :).

Related issues:

Related to DCMTK - Feature #345: Benutze externes log4cplus falls vorhanden
Related to DCMTK - Feature #425: DCMTK does not compile with UNICODE / _UNICO...

New
Closed

2012-05-24

History

#1 - 2017-03-24 12:46 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2018-02-05 19:41 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#3 - 2019-02-01 19:42 - J6rg Riesmeier

- Priority changed from Low to Normal

log4cplus seems to support a "locale" property, which might be useful in this context:
https://stackoverflow.com/questions/24422449/how-to-change-log4cplus-log-file-to-utf8

#4 - 2019-02-01 19:45 - Jorg Riesmeier

- Related to Feature #345: Benutze externes log4cplus falls vorhanden added

#5 - 2019-07-05 10:47 - J6rg Riesmeier

- Related to Feature #425: DCMTK does not compile with UNICODE / _UNICODE defined (Windows only) added

#6 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
